Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 252101 - Review Request: joesnmp - Java SNMP class library
Summary: Review Request: joesnmp - Java SNMP class library
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL: http://sourceforge.net/projects/joesnmp/
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2007-08-13 22:11 UTC by Vivek Lakshmanan
Modified: 2008-06-26 01:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-26 01:07:39 UTC


Attachments (Terms of Use)

Description Vivek Lakshmanan 2007-08-13 22:11:21 UTC
Spec URL: http://vivekl.fedorapeople.org/rpms/joesnmp.spec
SRPM URL: http://vivekl.fedorapeople.org/rpms/joesnmp-0.3.4-1jpp.1.fc8.src.rpm

joeSNMP is an open-source Java SNMP class library
published under the LGPL.
Needed for supporting application servers

Comment 1 Conrad Meyer 2007-11-29 01:25:27 UTC
1) rpmlint -i says:
joesnmp.spec: W: mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 53)
The specfile mixes use of spaces and tabs for indentation, which is a
cosmetic annoyance.  Use either spaces or tabs for indentation, not both.

2) License should be LGPLv2+ (not just LGPL) as per the source and LICENSE.txt.

3) LICENSE.txt is shipped with the source zip, but doesn't contain the full 
LGPL, I am not sure whether or not it should be included in %doc. I think you 
are OK here.

4) Source0 should be a URL of the package on sf.net. (Did you mean 
http://downloads.sourceforge.net/joesnmp/joesnmp-0.3.4.zip ?)

Comment 2 Jason Tibbitts 2008-06-26 01:07:39 UTC
Closing as detailed in bug 252049 after a complete lack of response.



Note You need to log in before you can comment on or make changes to this bug.